PUPPET-STATUS(8)

NAME
puppet-status - View puppet server status.

SYNOPSIS
puppet status action [--terminus TERMINUS] [--extra HASH]

OPTIONS
Note that any configuration parameter that's valid in the configuration file is also a valid long argument, although it may or may not be relevant to the present action. For example, server and run_mode are valid configuration parameters, so you can specify --server <servername>, or --run_mode <runmode> as an argument.

See the configuration file documentation at http://docs.puppetlabs.com/references/stable/configuration.html for the full list of acceptable parameters. A commented list of all configuration options can also be generated by running puppet with --genconfig.

--render-as FORMAT
    The format in which to render output. The most common formats are json, s (string), yaml, and console, but other options such as dot are sometimes available.

--verbose
    Whether to log verbosely.

--debug
    Whether to log debug information.

--extra HASH
    A terminus can take additional arguments to refine the operation, which are passed as an arbitrary hash to the back-end. Anything passed as the extra value is just send direct to the back-end.

--terminus TERMINUS
    Indirector faces expose indirected subsystems of Puppet. These subsystems are each able to retrieve and alter a specific type of data (with the familiar actions of find, search, save, and destroy) from an arbitrary number of pluggable backends. In Puppet parlance, these backends are called terminuses.

    Almost all indirected subsystems have a rest terminus that interacts with the puppet master's data. Most of them have additional terminuses for various local data models, which are in turn used by the indirected subsystem on the puppet master whenever it receives a remote request.

    The terminus for an action is often determined by context, but occasionally needs to be set explicitly. See the "Notes" section of this face's manpage for more details.

ACTIONS

destroy - Invalid for this subcommand.
    SYNOPSIS

    puppet status destroy [--terminus TERMINUS] [--extra HASH] key

    DESCRIPTION

    Invalid for this subcommand.

find - Check status of puppet master server.
    SYNOPSIS

    puppet status [--terminus TERMINUS] [--extra HASH] dummy_text

    DESCRIPTION

    Checks whether a Puppet server is properly receiving and processing HTTP requests. This action is only useful when used with '--terminus rest'; when invoked with the local terminus, find will always return true.

    Over REST, this action will query the configured puppet master by default. To query other servers, including puppet agent nodes started with the --listen option, you can set set the global --server and --masterport options on the command line; note that agent nodes listen on port 8139.

    RETURNS

    A "true" response or a low-level connection error. When used from the Ruby API: returns a Puppet::Status object.

    NOTES

    This action requires that the server's auth.conf file allow find access to the status REST terminus. Puppet agent does not use this facility, and it is turned off by default. See http://docs.puppetlabs.com/guides/rest_auth_conf.html for more details.

    Although this action always returns an unnamed status object, it requires a dummy argument. This is a known bug.

info - Print the default terminus class for this face.
    SYNOPSIS

    puppet status info [--terminus TERMINUS] [--extra HASH]

    DESCRIPTION

    Prints the default terminus class for this subcommand. Note that different run modes may have different default termini; when in doubt, specify the run mode with the '--run_mode' option.

save - Invalid for this subcommand.
    SYNOPSIS

    puppet status save [--terminus TERMINUS] [--extra HASH] key

    DESCRIPTION

    Invalid for this subcommand.

search - Invalid for this subcommand.
    SYNOPSIS

    puppet status search [--terminus TERMINUS] [--extra HASH] query

    DESCRIPTION

    Invalid for this subcommand.

EXAMPLES
find

Check the status of the configured puppet master:

$ puppet status find x --terminus rest

NOTES
This subcommand is an indirector face, which exposes find, search, save, and destroy actions for an indirected subsystem of Puppet. Valid termini for this face include:

•   local

•   rest

COPYRIGHT AND LICENSE
Copyright 2011 by Puppet Labs Apache 2 license; see COPYING